<?php
	ob_start();
	session_start();
	if (empty($_SESSION['usuarioNome'])) {
		echo "Acesso negado!";
		exit;
	}else{
		include("conexao.php");
	}
?>

<html>
<head>
    <title></title>
    <meta charset="utf-8">

</head>
<body>
<?php
	$acao = $_GET['acao'];
	
	if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	
	switch ($acao) {

		case 'cadastrar':{
			
			$nome       = $_POST['usuario'];
			$sobrenome  = $_POST['sobre_nome'];
			$usuario    = $_POST['login'];
			$senha      = $_POST['senha'];
			$csenha     = $_POST['csenha'];
			$email      = $_POST['email'];
			$empresa_id = $_POST['empresa_id'];	
			
			echo $empresa_id;
			
			if ( ( ! isset( $email ) || ! filter_var( $email, FILTER_VALIDATE_EMAIL ) ) && !$erro ) { ?>
				<script language="JavaScript" type="text/javascript"> alert ("Cadastre um e-mail válido")</script>
				<script language="JavaScript">window.location.href="../usuarios.php";</script><?php				
			}

			//Verificando de o login já foi cadastrado no banco 			
			$resu = "SELECT * FROM glpi_users WHERE name = '{$usuario}'";
			$res = mysqli_query($conn, $resu); 
			$num = mysqli_num_rows($res);
			if ($num != 0){ ?>
				<script language="JavaScript" type="text/javascript"> alert ("Usuário já cadastrado")</script>
				<script language="JavaScript">window.location.href="../usuarios.php";</script><?php	
			}
				
			if ($senha != $csenha) { ?>
				<script language="JavaScript" type="text/javascript"> alert ("As senha digitada não são iguais")</script>
				<script language="JavaScript">window.location.href="../usuarios.php";</script><?php			
			}
			echo ("passou");
			//Verifica se já tem o maximo de usuarios cadastrados
			$result_rec  = " SELECT * FROM glpi_users WHERE empresa_id = '{$empresa_id}' AND is_active = 1 "; 
			$resultado_rec = mysqli_query($conn, $result_rec);
			$number = mysqli_num_rows($resultado_rec);
			
			if ($number < 15){
				date_default_timezone_set('America/Sao_Paulo');
				$date = date('Y-m-d H:i:s');
				$senha = sha1($senha);
				$sql = "INSERT INTO glpi_users (name, password, realname, firstname, locations_id, is_active, profiles_id, date_creation, empresa_id) ";
				$sql .= "VALUES ('{$usuario}', '{$senha}', '{$sobrenome}', '{$nome}', 0, 1, 2, '{$date}' , '{$empresa_id}');"; 
				
				if (mysqli_query($conn, $sql)) {
					$sql = "SELECT id FROM glpi_users WHERE name = '$usuario'"; 
					$res = mysqli_query($conn, $sql) or die('Query Error');
					$result = mysqli_fetch_array($res);	
					$id = $result['id'];
					$sql1  = "INSERT INTO glpi_useremails (users_id, is_default, is_dynamic, email) ";
					$sql1 .= "VALUES ('{$id}', 1, 0, '$email')";
					if (mysqli_query($conn, $sql)) { ?>	
						<script language="JavaScript" type="text/javascript"> alert ("Usuário cadastrado com sucesso.")</script>
						<script language="JavaScript">window.location.href="../usuarios.php";</script><?php
					}
				} else {
					echo "Error: " . $sql . "<br>" . mysqli_error($conn);?>
					<script language="JavaScript">window.location.href="../usuarios.php";</script><?php
				}
			} else { ?>
				<script language="JavaScript" type="text/javascript"> alert ("Limite de usuários atingido não foi possivel o cadastro.")</script>
				<script language="JavaScript">window.location.href="../usuarios.php";</script><?php				
			}	
		}
		case 'editar':{
			
			$id         = $_POST['id'];
			$nome       = $_POST['usuario'];
			$sobrenome  = $_POST['sobre_nome'];
			$usuario    = $_POST['login'];
			$senha      = $_POST['senha'];
			$csenha     = $_POST['csenha'];
			$email      = $_POST['email'];
			$empresa_id = $_POST['empresa_id'];	
			
			if ( ( ! isset( $email ) || ! filter_var( $email, FILTER_VALIDATE_EMAIL ) ) && !$erro ) { ?>
				<script language="JavaScript" type="text/javascript"> alert ("Cadastre um e-mail válido")</script>
				<!--<script language="JavaScript">window.location.href="../usuarios.php";</script>--><?php				
			}
			
			if ($senha != $csenha) { ?>
				<script language="JavaScript" type="text/javascript"> alert ("As senha digitada não são iguais")</script>
				<!--<script language="JavaScript">window.location.href="../usuarios.php";</script>--><?php			
			}
			$senha = sha1($senha);
			//$empresa_id = $_SESSION['empresa_id'];
			//$empresa_id = 1;	
			$sql = "UPDATE glpi_users SET password = '{$senha}',  realname = '{$sobrenome}' , firstname = '{$nome}'   WHERE id = '{$id}' "; 
			if (mysqli_query($conn, $sql)) { ?>	
					<script language="JavaScript" type="text/javascript"> alert ("Usuário atualizado com sucesso.")</script>
					<!--<script language="JavaScript">window.location.href="../usuarios.php";</script>--><?php
			
			} else {
				echo "Error: " . $sql . "<br>" . mysqli_error($conn);?>
				<!--<script language="JavaScript">window.location.href="../usuarios.php";</script>--><?php
			}
		
		}		
	}
	mysqli_close($conn);
	ob_end_flush(); 
?>
</body>
</html>
